summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2023-06-18 19:26:41 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2023-07-08 18:03:31 +0200
commitc862c4e42fd364170d8f750bf57f8d51320cc258 (patch)
tree3fd9270752d2c538f4de59734d50f8f52a8f58ab /eclass
parentdev-qt/qtlocation: Drop src_configure() quirk, fixes InternalEclassUsage (diff)
downloadgentoo-c862c4e42fd364170d8f750bf57f8d51320cc258.tar.gz
gentoo-c862c4e42fd364170d8f750bf57f8d51320cc258.tar.bz2
gentoo-c862c4e42fd364170d8f750bf57f8d51320cc258.zip
qt5-build.eclass: Add qt5_syncqt_version()
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass19
1 files changed, 19 insertions, 0 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 31e3be2e01ae..847c436651af 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -326,6 +326,25 @@ qt5-build_pkg_postrm() {
###### Public helpers ######
+# @FUNCTION: qt5_syncqt_version
+# @DESCRIPTION:
+# Wrapper for Qt5 syncqt.pl to sync header files for ${PV} (required to run if
+# headers are added/removed by patching)
+qt5_syncqt_version() {
+ if [[ ${PV} == *9999* ]]; then
+ return
+ fi
+
+ local syncqt
+ if [[ ${PN} == qtcore ]]; then
+ syncqt=bin/syncqt.pl
+ else
+ syncqt=${QT5_BINDIR}/syncqt.pl
+ fi
+
+ perl ${syncqt} -version ${PV} || die
+}
+
# @FUNCTION: qt5_symlink_binary_to_path
# @USAGE: <target binary name> [suffix]
# @DESCRIPTION: